#ifndef _Handle_PColgp_HSequenceOfVec_HeaderFile
#define _Handle_PColgp_HSequenceOfVec_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_Standard_Persistent_HeaderFile
#include <Handle_Standard_Persistent.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(Standard_Persistent);
class PColgp_HSequenceOfVec;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PColgp_HSequenceOfVec);

class Handle(PColgp_HSequenceOfVec) : public Handle(Standard_Persistent) {
  public:

    Handle(PColgp_HSequenceOfVec)():Handle(Standard_Persistent)() {} 
    Handle(PColgp_HSequenceOfVec)(const Handle(PColgp_HSequenceOfVec)& aHandle) : Handle(Standard_Persistent)(aHandle) 
     {
     }

    Handle(PColgp_HSequenceOfVec)(const PColgp_HSequenceOfVec* anItem) : Handle(Standard_Persistent)((Standard_Persistent *)anItem) 
     {
     }

    Handle(PColgp_HSequenceOfVec)& operator=(const Handle(PColgp_HSequenceOfVec)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PColgp_HSequenceOfVec)& operator=(const PColgp_HSequenceOfVec* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PColgp_HSequenceOfVec* operator->() const 
     {
      return (PColgp_HSequenceOfVec *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PColgp_HSequenceOfVec) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
